/* Editore.java */

import java.io.*;

public class Editor extends Thread {
  private Channel channel;

  private final static String EOF = "-1";

  private BufferedReader stdIn = new BufferedReader(new InputStreamReader(
      System.in));

  // Constructor method
  public Editor(Channel c) {
    super("Editor");
    channel = c;
  }

  public void run() {
    System.out.println("\nEditor: begins...");
    String msg;
    try {
      System.out
          .println("\n^D(Unix)/^Z(Win)+enter to exit, enter to continue: ");
      int i = 0;
      while (stdIn.readLine() != null) { //while(!EOF)
        i++;
        System.out.print("E: message " + i + " ? ");
        msg = stdIn.readLine();
        channel.put("" + msg);
        System.out
            .println("^D(Unix)/^Z(Win)+enter to exit, enter to continue: ");
      } //while, here the Editor has read the EOF
    } catch (Exception e) {
      e.printStackTrace();
    }
    System.out.println("E: ends...");
    channel.put(EOF);
  } //run()
} //Editor
